Subject: Exporting and reimporting a page tree with grid elements breaks relations
Description

When exporting a structure containing grid elements to a T3D, there will be lots of warnings about elements being "recursive".
A reimport will on the hand give all elements back, but the relations will be completely broken.

Related issues:

related to Core - Bug # 36031: T3D export of tt_content elements with IRRE re... Resolved 2012-04-14
related to Grid Elements - Bug # 42904: Column assignment get lost on t3d-exp... Rejected 2012-11-13
History

#1 - 2012-04-14 13:19 - Jo Hasenau
- Status changed from Accepted to Rejected

seems to be an IRRE related core bug, since relations are set up properly in TCA.

#2 - 2012-04-15 20:10 - Jo Hasenau

- Status changed from Rejected to Resolved

#3 - 2012-04-15 20:14 - Jo Hasenau

The original bug is in the core, that does not notify process_datamap hooks about the fact that process_datamap has been executed during a T3D

import, which is a completely different thing than saving, copying or moving data within the usual workflow.

The patch provided for #36031 will fix that behaviour, so now functions called by the process_datamap hooks will be informed about the import.

Grid elements will make use of this information, so importing grid elements and their children will work as exptected.
